svn commit: samba r7760 - in branches/SAMBA_4_0/source/script/tests: .

tridge at samba.org tridge at samba.org
Sun Jun 19 21:43:34 GMT 2005


Author: tridge
Date: 2005-06-19 21:43:34 +0000 (Sun, 19 Jun 2005)
New Revision: 7760

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=7760

Log:
make client tools get the right config file in 'make test'



Modified:
   branches/SAMBA_4_0/source/script/tests/selftest.sh
   branches/SAMBA_4_0/source/script/tests/test_ldap.sh


Changeset:
Modified: branches/SAMBA_4_0/source/script/tests/selftest.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/selftest.sh	2005-06-19 13:29:07 UTC (rev 7759)
+++ branches/SAMBA_4_0/source/script/tests/selftest.sh	2005-06-19 21:43:34 UTC (rev 7760)
@@ -24,6 +24,8 @@
 PRIVATEDIR=$PREFIX/private
 NCALRPCDIR=$PREFIX/ncalrpc
 LOCKDIR=$PREFIX/lockdir
+CONFIGURATION="--configfile=$CONFFILE"
+export CONFIGURATION
 
 SMBD_TEST_FIFO="$PREFIX/smbd_test.fifo"
 export SMBD_TEST_FIFO
@@ -74,7 +76,7 @@
 smbd_check_or_start
 
 # ensure any one smbtorture call doesn't run too long
-TORTURE_OPTIONS="--maximum-runtime=300"
+TORTURE_OPTIONS="--maximum-runtime=300 $CONFIGURATION"
 export TORTURE_OPTIONS
 
 

Modified: branches/SAMBA_4_0/source/script/tests/test_ldap.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/test_ldap.sh	2005-06-19 13:29:07 UTC (rev 7759)
+++ branches/SAMBA_4_0/source/script/tests/test_ldap.sh	2005-06-19 21:43:34 UTC (rev 7760)
@@ -13,16 +13,16 @@
 incdir=`dirname $0`
 . $incdir/test_functions.sh
 
-testit "RootDSE" bin/ldbsearch --basedn='' -H ldap://$SERVER -s base DUMMY=x dnsHostName highestCommittedUSN || failed=`expr $failed + 1`
+testit "RootDSE" bin/ldbsearch $CONFIGURATION --basedn='' -H ldap://$SERVER -s base DUMMY=x dnsHostName highestCommittedUSN || failed=`expr $failed + 1`
 
 echo "Getting defaultNamingContext"
 BASEDN=`bin/ldbsearch -b '' -H ldap://$SERVER -s base DUMMY=x defaultNamingContext | grep ^defaultNamingContext | awk '{print $2}'`
 echo "BASEDN is $BASEDN"
 
 
-testit "Listing Users" bin/ldbsearch -H ldap://$SERVER -b "$BASEDN" '(objectclass=user)' sAMAccountName || failed=`expr $failed + 1`
+testit "Listing Users" bin/ldbsearch $CONFIGURATION -H ldap://$SERVER -b "$BASEDN" '(objectclass=user)' sAMAccountName || failed=`expr $failed + 1`
 
-testit "Listing Groups" bin/ldbsearch -H ldap://$SERVER -b "$BASEDN" '(objectclass=group)' sAMAccountName || failed=`expr $failed + 1`
+testit "Listing Groups" bin/ldbsearch $CONFIGURATION -H ldap://$SERVER -b "$BASEDN" '(objectclass=group)' sAMAccountName || failed=`expr $failed + 1`
 
 testit "CLDAP" bin/smbtorture $TORTURE_OPTIONS //$SERVER/_none_ LDAP-CLDAP || failed=`expr $failed + 1`
 



More information about the samba-cvs mailing list